class Dspace::AttachmentMapper

  ##Map Dspace::Bitstream to Attachment model compatible hash
  def self.call(bitstream, options = {})
    {
      id_dspace: bitstream.id,
      name: bitstream.name,
      link: bitstream.link,
      retrieve_link: bitstream.retrieve_link,
      description: bitstream.description,
      format: bitstream.format,
      mime_type: bitstream.mime_type,
      size: bitstream.size_bytes,
      bundle_name: bitstream.bundle_name
    }.merge(options)
  end

end
