# == Schema Information
#
# Table name: topic_highlights
#
#  id                 :integer          not null, primary key
#  topic_id           :integer
#  learning_object_id :integer
#  created_at         :datetime         not null
#  updated_at         :datetime         not null
#

class TopicHighlight < ActiveRecord::Base
  belongs_to :topic
  belongs_to :learning_object

  validates_presence_of :topic, :learning_object
end
