class CreateCollections < ActiveRecord::Migration
  def change
    create_table :collections do |t|
      t.string :name
      t.text :description
      t.string :privacy, default: 'private'

      t.references :owner, index: true, polymorphic: true

      t.timestamps null: false
    end
  end
end
